Package twisted :: Package names :: Module cache :: Class CacheResolver

[show private | hide private]
[frames | no frames]

## Class CacheResolver

    ResolverBase --+
                   |
                  CacheResolver

A resolver that serves records from a local, memory cache.

Method Summary
| `__init__(self, cache, verbose)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| `cacheResult(self, query, payload)`
| `clearEntry(self, query)`
| `getHostByName(self, name, timeout, effort)` (inherited from `ResolverBase`)
| `lookupAddress(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAddress6(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAFSDatabase(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupAllRecords(self, name, timeout)`
| `lookupAuthority(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupCanonicalName(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupHostInfo(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupIPV6Address(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailBox(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailboxInfo(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailExchange(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailGroup(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupMailRename(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupNameservers(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupNull(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupPointer(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupResponsibility(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupService(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupText(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupWellKnownServices(self, name, timeout)` (inherited from `ResolverBase`)
| `lookupZone(self, name, timeout)` (inherited from `ResolverBase`)
| `query(self, query, timeout)` (inherited from `ResolverBase`)

Class Variable Summary
`tuple` | `__implements__`
`NoneType` | `cache`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.internet.interfaces.IResolver'>,)

### cache

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net